function [F,Y,YM,YF] = f_respfreq(y,x)
%[freq,resposta,modulo,fase] = f_respfreq(Eixo Potencia,Eixo Tempo)
Amostras        = 2^nextpow2(length(x)); %Ajusta o tamanho da amostra 
FAmostragem     = length(x)/max(x);      %Calcula a Freq. de Amostragem
%% CALCULA A FFT%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Y   = fft(y,Amostras)/length(x);
Y   = Y(1:Amostras/2+1);
F   = FAmostragem/2*linspace(0,1,Amostras/2+1);
YM  = abs(Y);
YF  = angle(Y);
end